@()(implicit lang:Lang)

<div ng-click="showGroup(group, queue, groupOfGroups.penalty)" ng-controller="virtualGroupController" class="AgentGroupIcon">
    <img src="@routes.Assets.at("images/meeting.png")" class="agentGroupImage">
</div>
<script type="text/ng-template" id="showGroupContent.html">
    <div class="modal-header">
        <button type="button" class="close" ng-click="cancel()">×</button>
        <h3 class="modal-title">
            <span class="queueInfo">@Messages("ccmanager.queue") </span>
            <span>{{queue.displayName}} ({{queue.number}})</span>
            <span>@Messages("ccmanager.penalty") </span><span> {{penalty}}</span>
        </h3>
        <h4>
            <span class="queueInfo">@Messages("ccmanager.group") </span>
            <span>{{group.name}}</span>
        </h4>
    </div>
    <div class="modal-body">
            <table ng-table="agentsInGroup" class="table table-striped table-condensed">
                <tr ng-repeat="agent in $data">
                    <td data-title="'@Messages("ccmanager.number")'" sortable="'number'"> <span class="badge">{{agent.number}}</span></td>
                    <td data-title="'@Messages("ccmanager.firstName")'" sortable="'firstName'"> {{agent.firstName}}</td>
                    <td data-title="'@Messages("ccmanager.lastName")'" sortable="'lastName'"> {{agent.lastName}}</td>
                </tr>
            </table>
    </div>
    <div class="modal-footer">
        <button class="btn btn-warning" ng-click="cancel()">@Messages("ccmanager.dismiss")</button>
    </div>
</script>
</span>
